Transactions
Retrieve a Transaction
Get a transaction by its id.
GET
Get a transaction by its id.
api_keyheader
AuthorizationBasic <token>transaction_id*stringId of the transaction
include_transfer?booleanInclude the related transfer in the response.
OK
application/json- response
The transaction object.
id?integeramount?stringTransaction amount in cents.
created?stringFormat
date-timesource_name?stringdestination_name?stringtype?stringThe general category of the transaction
Value in
"balance""refill""payout""payment""fee""surrogate"metadata?||Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
transfer_id?stringID of the transfer that the transaction belongs to.
Format
uuidtransfer?The transfer that the transaction belongs to. This is only present if include_transfer is true.
Example Request
curl -X GET 'https://api.dots.dev/api/v2/transactions/string'Example Response
{ "id": 0, "amount": "string", "created": "2019-08-24T14:15:22Z", "source_name": "string", "destination_name": "string", "type": "balance", "metadata": "string", "transfer_id": "d4a2d8dd-7def-4545-a062-761683b9aa05", "transfer": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created": "2019-08-24T14:15:22Z", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5", "status": "created", "error": "account_closed", "error_message": "string", "sender_details": { "name": "string", "bank_name": "string", "routing_number": "string", "account_number_last4": "string", "company_identification": "string", "trace_number": "string", "reference": "string", "memo": "string" }, "type": "refill", "amount": "string", "external_data": { "account_id": "string", "external_id": "string", "platform": "ach" }, "transactions": [ {} ], "payout_link_id": "50673cb3-bf8b-4fdc-9f5f-114b168da4ab", "metadata": "string" }}